# Cms

## GET /cms/landing-page-types/

> This method returns details about a specific landing page type, including its ID, name, slug, creation and modification timestamps, and associated function module and name. It also includes the schema for the landing page, such as attributes like product badges, with their data types, requirements, and labels.

```json
{"openapi":"3.0.3","info":{"title":"Data Warehouse","version":"1.0.0"},"servers":[{"description":"Server base URL with dynamic channel_id.","url":"https://{omnitron_url}/api/v1/remote/{channel_id}/data-warehouse","variables":{"channel_id":{"default":"1","description":"Unique identifier for the sales channel."},"omnitron_url":{"default":"sandbox.akinon.com"}}},{"description":"Server base URL with Commerce URL.","url":"https://{commerce_url}/api/v1/data-warehouse","variables":{"commerce_url":{"default":"sandbox.commerce.akinon.com"}}}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"description":"Token-based authentication with required prefix \"Token\"","in":"header","name":"Authorization","type":"apiKey"}},"schemas":{"PaginatedLandingPageTypeList":{"properties":{"count":{"description":"Numerical value representing quantity or total amount.","type":"integer"},"next":{"description":"This field defines the URL of the next page.","format":"uri","nullable":true,"type":"string"},"previous":{"description":"This field defines the URL of the previous page.","format":"uri","nullable":true,"type":"string"},"results":{"description":"This field returns a list of results.","items":{"$ref":"#/components/schemas/LandingPageType"},"type":"array"}},"type":"object"},"LandingPageType":{"properties":{"created_date":{"description":"Timestamp indicating when the record was created.","format":"date-time","type":"string"},"func_module":{"description":"The field defines the file name where the func_name is defined.","maxLength":256,"type":"string"},"func_name":{"description":"The full name or label associated with the record.","maxLength":64,"type":"string"},"id":{"description":"Unique identifier for the record.","type":"integer"},"modified_date":{"description":"This field defines the last updated date.","format":"date-time","type":"string"},"name":{"description":"The full name or label associated with the record.","maxLength":64,"type":"string"},"schema":{"description":"The field defines the structure and rules for the landing page."},"slug":{"description":"The field defines the slug of the shipping option.","maxLength":64,"pattern":"^[-a-zA-Z0-9_]+$","type":"string"}},"type":"object"}}},"paths":{"/cms/landing-page-types/":{"get":{"description":"This method returns details about a specific landing page type, including its ID, name, slug, creation and modification timestamps, and associated function module and name. It also includes the schema for the landing page, such as attributes like product badges, with their data types, requirements, and labels.","operationId":"cms_landing_page_types_list","parameters":[{"description":"Query parameter `created_date` used to filter results based on specific conditions.","in":"query","name":"created_date","schema":{"format":"date-time","type":"string"}},{"description":"Query parameter `func_module` used to filter results based on specific conditions.","in":"query","name":"func_module","schema":{"type":"string"}},{"description":"Query parameter `func_name` used to filter results based on specific conditions.","in":"query","name":"func_name","schema":{"type":"string"}},{"description":"Query parameter `id` used to filter results based on specific conditions.","in":"query","name":"id","schema":{"type":"integer"}},{"description":"Filters records where `id` is greater than the given value.","in":"query","name":"id__gt","schema":{"type":"integer"}},{"description":"Filters records where `id` is greater than or equal to the given value.","in":"query","name":"id__gte","schema":{"type":"integer"}},{"description":"Filters records where `id` is less than the given value.","in":"query","name":"id__lt","schema":{"type":"integer"}},{"description":"Filters records where `id` is less than or equal to the given value.","in":"query","name":"id__lte","schema":{"type":"integer"}},{"description":"Limits the number of results returned in the response.","in":"query","name":"limit","required":false,"schema":{"type":"integer"}},{"description":"Query parameter `modified_date` used to filter results based on specific conditions.","in":"query","name":"modified_date","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is greater than the given value.","in":"query","name":"modified_date__gt","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is greater than or equal to the given value.","in":"query","name":"modified_date__gte","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is less than the given value.","in":"query","name":"modified_date__lt","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is less than or equal to the given value.","in":"query","name":"modified_date__lte","schema":{"format":"date-time","type":"string"}},{"description":"Query parameter `name` used to filter results based on specific conditions.","in":"query","name":"name","schema":{"type":"string"}},{"description":"Query parameter `page` used to filter results based on specific conditions.","in":"query","name":"page","required":false,"schema":{"type":"integer"}},{"description":"Query parameter `schema` used to filter results based on specific conditions.","in":"query","name":"schema","schema":{}},{"description":"Query parameter `slug` used to filter results based on specific conditions.","in":"query","name":"slug","schema":{"type":"string"}},{"description":"Query parameter `sort` used to filter results based on specific conditions.","in":"query","name":"sort","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedLandingPageTypeList"}}},"description":"Successful response for status code 200."}},"tags":["cms"]}}}}
```

## GET /cms/landing-page-types/{id}/

> This method returns details about a specific landing page type, including its ID, name, slug, creation and modification timestamps, and associated function module and name. It also includes the schema for the landing page, such as attributes like product badges, with their data types, requirements, and labels. This endpoint retrieves a specific record by its unique identifier.

```json
{"openapi":"3.0.3","info":{"title":"Data Warehouse","version":"1.0.0"},"servers":[{"description":"Server base URL with dynamic channel_id.","url":"https://{omnitron_url}/api/v1/remote/{channel_id}/data-warehouse","variables":{"channel_id":{"default":"1","description":"Unique identifier for the sales channel."},"omnitron_url":{"default":"sandbox.akinon.com"}}},{"description":"Server base URL with Commerce URL.","url":"https://{commerce_url}/api/v1/data-warehouse","variables":{"commerce_url":{"default":"sandbox.commerce.akinon.com"}}}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"description":"Token-based authentication with required prefix \"Token\"","in":"header","name":"Authorization","type":"apiKey"}},"schemas":{"LandingPageType":{"properties":{"created_date":{"description":"Timestamp indicating when the record was created.","format":"date-time","type":"string"},"func_module":{"description":"The field defines the file name where the func_name is defined.","maxLength":256,"type":"string"},"func_name":{"description":"The full name or label associated with the record.","maxLength":64,"type":"string"},"id":{"description":"Unique identifier for the record.","type":"integer"},"modified_date":{"description":"This field defines the last updated date.","format":"date-time","type":"string"},"name":{"description":"The full name or label associated with the record.","maxLength":64,"type":"string"},"schema":{"description":"The field defines the structure and rules for the landing page."},"slug":{"description":"The field defines the slug of the shipping option.","maxLength":64,"pattern":"^[-a-zA-Z0-9_]+$","type":"string"}},"type":"object"}}},"paths":{"/cms/landing-page-types/{id}/":{"get":{"description":"This method returns details about a specific landing page type, including its ID, name, slug, creation and modification timestamps, and associated function module and name. It also includes the schema for the landing page, such as attributes like product badges, with their data types, requirements, and labels. This endpoint retrieves a specific record by its unique identifier.","operationId":"cms_landing_page_types_retrieve","parameters":[{"description":"A unique integer value identifying this landing page type.","in":"path","name":"id","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LandingPageType"}}},"description":"Successful response for status code 200."},"404":{"content":{"application/json":{}},"description":"Object not found."}},"tags":["cms"]}}}}
```

## GET /cms/landing-pages/

> This method returns details about a specific landing page, including its ID, name, URL, template, and associated landing page type. It also provides information about its active status, content type, pretty URL, and related attributes, including any localized attributes and values.

```json
{"openapi":"3.0.3","info":{"title":"Data Warehouse","version":"1.0.0"},"servers":[{"description":"Server base URL with dynamic channel_id.","url":"https://{omnitron_url}/api/v1/remote/{channel_id}/data-warehouse","variables":{"channel_id":{"default":"1","description":"Unique identifier for the sales channel."},"omnitron_url":{"default":"sandbox.akinon.com"}}},{"description":"Server base URL with Commerce URL.","url":"https://{commerce_url}/api/v1/data-warehouse","variables":{"commerce_url":{"default":"sandbox.commerce.akinon.com"}}}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"description":"Token-based authentication with required prefix \"Token\"","in":"header","name":"Authorization","type":"apiKey"}},"schemas":{"PaginatedLandingPageList":{"properties":{"count":{"description":"Numerical value representing quantity or total amount.","type":"integer"},"next":{"description":"This field defines the URL of the next page.","format":"uri","nullable":true,"type":"string"},"previous":{"description":"This field defines the URL of the previous page.","format":"uri","nullable":true,"type":"string"},"results":{"description":"This field returns a list of results.","items":{"$ref":"#/components/schemas/LandingPage"},"type":"array"}},"type":"object"},"LandingPage":{"properties":{"attribute_value":{"description":"The field defines the ID of the attribute value associated with it.","type":"integer"},"attributes":{"description":"The field defines the attributes of the category node."},"attributes_kwargs":{"description":"The field defines the details of the category node."},"content_type":{"description":"The classification or type related to this field.","type":"integer"},"created_date":{"description":"Timestamp indicating when the record was created.","format":"date-time","type":"string"},"id":{"description":"Unique identifier for the record.","type":"integer"},"is_active":{"description":"Boolean flag indicating whether the condition is met.","type":"boolean"},"landing_page_type":{"description":"The classification or type related to this field.","type":"integer"},"localized_attributes":{"description":"The field defines the category node that has been translated into other languages."},"localized_attributes_kwargs":{"description":"The field defines the details of the translations for the category node attributes."},"modified_date":{"description":"This field defines the last updated date.","format":"date-time","type":"string"},"name":{"description":"The full name or label associated with the record.","maxLength":64,"type":"string"},"pretty_url":{"description":"The field defines the pretty URL of the category.","nullable":true,"type":"integer"},"template":{"description":"The field defines the template used for the landing page.","maxLength":512,"nullable":true,"type":"string"},"url":{"description":"This field defines the URL that the client accessed during the event.","maxLength":512,"type":"string"}},"type":"object"}}},"paths":{"/cms/landing-pages/":{"get":{"description":"This method returns details about a specific landing page, including its ID, name, URL, template, and associated landing page type. It also provides information about its active status, content type, pretty URL, and related attributes, including any localized attributes and values.","operationId":"cms_landing_pages_list","parameters":[{"description":"Query parameter `attribute_value` used to filter results based on specific conditions.","in":"query","name":"attribute_value","schema":{"type":"integer"}},{"description":"Query parameter `attributes` used to filter results based on specific conditions.","in":"query","name":"attributes","schema":{}},{"description":"Query parameter `attributes_kwargs` used to filter results based on specific conditions.","in":"query","name":"attributes_kwargs","schema":{}},{"description":"Query parameter `content_type` used to filter results based on specific conditions.","in":"query","name":"content_type","schema":{"type":"integer"}},{"description":"Query parameter `created_date` used to filter results based on specific conditions.","in":"query","name":"created_date","schema":{"format":"date-time","type":"string"}},{"description":"Query parameter `id` used to filter results based on specific conditions.","in":"query","name":"id","schema":{"type":"integer"}},{"description":"Filters records where `id` is greater than the given value.","in":"query","name":"id__gt","schema":{"type":"integer"}},{"description":"Filters records where `id` is greater than or equal to the given value.","in":"query","name":"id__gte","schema":{"type":"integer"}},{"description":"Filters records where `id` is less than the given value.","in":"query","name":"id__lt","schema":{"type":"integer"}},{"description":"Filters records where `id` is less than or equal to the given value.","in":"query","name":"id__lte","schema":{"type":"integer"}},{"description":"Query parameter `is_active` used to filter results based on specific conditions.","in":"query","name":"is_active","schema":{"type":"boolean"}},{"description":"Query parameter `landing_page_type` used to filter results based on specific conditions.","in":"query","name":"landing_page_type","schema":{"type":"integer"}},{"description":"Limits the number of results returned in the response.","in":"query","name":"limit","required":false,"schema":{"type":"integer"}},{"description":"Query parameter `localized_attributes` used to filter results based on specific conditions.","in":"query","name":"localized_attributes","schema":{}},{"description":"Query parameter `localized_attributes_kwargs` used to filter results based on specific conditions.","in":"query","name":"localized_attributes_kwargs","schema":{}},{"description":"Query parameter `modified_date` used to filter results based on specific conditions.","in":"query","name":"modified_date","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is greater than the given value.","in":"query","name":"modified_date__gt","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is greater than or equal to the given value.","in":"query","name":"modified_date__gte","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is less than the given value.","in":"query","name":"modified_date__lt","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is less than or equal to the given value.","in":"query","name":"modified_date__lte","schema":{"format":"date-time","type":"string"}},{"description":"Query parameter `name` used to filter results based on specific conditions.","in":"query","name":"name","schema":{"type":"string"}},{"description":"Query parameter `page` used to filter results based on specific conditions.","in":"query","name":"page","required":false,"schema":{"type":"integer"}},{"description":"Query parameter `pretty_url` used to filter results based on specific conditions.","in":"query","name":"pretty_url","schema":{"type":"integer"}},{"description":"Query parameter `sort` used to filter results based on specific conditions.","in":"query","name":"sort","required":false,"schema":{"type":"string"}},{"description":"Query parameter `template` used to filter results based on specific conditions.","in":"query","name":"template","schema":{"type":"string"}},{"description":"Query parameter `url` used to filter results based on specific conditions.","in":"query","name":"url","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedLandingPageList"}}},"description":"Successful response for status code 200."}},"tags":["cms"]}}}}
```

## GET /cms/landing-pages/{id}/

> This method returns details about a specific landing page, including its ID, name, URL, template, and associated landing page type. It also provides information about its active status, content type, pretty URL, and related attributes, including any localized attributes and values. This endpoint retrieves a specific record by its unique identifier.

```json
{"openapi":"3.0.3","info":{"title":"Data Warehouse","version":"1.0.0"},"servers":[{"description":"Server base URL with dynamic channel_id.","url":"https://{omnitron_url}/api/v1/remote/{channel_id}/data-warehouse","variables":{"channel_id":{"default":"1","description":"Unique identifier for the sales channel."},"omnitron_url":{"default":"sandbox.akinon.com"}}},{"description":"Server base URL with Commerce URL.","url":"https://{commerce_url}/api/v1/data-warehouse","variables":{"commerce_url":{"default":"sandbox.commerce.akinon.com"}}}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"description":"Token-based authentication with required prefix \"Token\"","in":"header","name":"Authorization","type":"apiKey"}},"schemas":{"LandingPage":{"properties":{"attribute_value":{"description":"The field defines the ID of the attribute value associated with it.","type":"integer"},"attributes":{"description":"The field defines the attributes of the category node."},"attributes_kwargs":{"description":"The field defines the details of the category node."},"content_type":{"description":"The classification or type related to this field.","type":"integer"},"created_date":{"description":"Timestamp indicating when the record was created.","format":"date-time","type":"string"},"id":{"description":"Unique identifier for the record.","type":"integer"},"is_active":{"description":"Boolean flag indicating whether the condition is met.","type":"boolean"},"landing_page_type":{"description":"The classification or type related to this field.","type":"integer"},"localized_attributes":{"description":"The field defines the category node that has been translated into other languages."},"localized_attributes_kwargs":{"description":"The field defines the details of the translations for the category node attributes."},"modified_date":{"description":"This field defines the last updated date.","format":"date-time","type":"string"},"name":{"description":"The full name or label associated with the record.","maxLength":64,"type":"string"},"pretty_url":{"description":"The field defines the pretty URL of the category.","nullable":true,"type":"integer"},"template":{"description":"The field defines the template used for the landing page.","maxLength":512,"nullable":true,"type":"string"},"url":{"description":"This field defines the URL that the client accessed during the event.","maxLength":512,"type":"string"}},"type":"object"}}},"paths":{"/cms/landing-pages/{id}/":{"get":{"description":"This method returns details about a specific landing page, including its ID, name, URL, template, and associated landing page type. It also provides information about its active status, content type, pretty URL, and related attributes, including any localized attributes and values. This endpoint retrieves a specific record by its unique identifier.","operationId":"cms_landing_pages_retrieve","parameters":[{"description":"A unique integer value identifying this landing page.","in":"path","name":"id","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LandingPage"}}},"description":"Successful response for status code 200."},"404":{"content":{"application/json":{}},"description":"Object not found."}},"tags":["cms"]}}}}
```

## GET /cms/seo/

> This method returns details about a specific SEO entry, including its ID, creation and modification timestamps, URL, title, description, and keywords. It also includes any associated attributes, such as CSS class, along with localized attributes if available.

```json
{"openapi":"3.0.3","info":{"title":"Data Warehouse","version":"1.0.0"},"servers":[{"description":"Server base URL with dynamic channel_id.","url":"https://{omnitron_url}/api/v1/remote/{channel_id}/data-warehouse","variables":{"channel_id":{"default":"1","description":"Unique identifier for the sales channel."},"omnitron_url":{"default":"sandbox.akinon.com"}}},{"description":"Server base URL with Commerce URL.","url":"https://{commerce_url}/api/v1/data-warehouse","variables":{"commerce_url":{"default":"sandbox.commerce.akinon.com"}}}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"description":"Token-based authentication with required prefix \"Token\"","in":"header","name":"Authorization","type":"apiKey"}},"schemas":{"PaginatedSeoList":{"properties":{"count":{"description":"Numerical value representing quantity or total amount.","type":"integer"},"next":{"description":"This field defines the URL of the next page.","format":"uri","nullable":true,"type":"string"},"previous":{"description":"This field defines the URL of the previous page.","format":"uri","nullable":true,"type":"string"},"results":{"description":"This field returns a list of results.","items":{"$ref":"#/components/schemas/Seo"},"type":"array"}},"type":"object"},"Seo":{"properties":{"attributes":{"description":"The field defines the attributes of the category node."},"attributes_kwargs":{"description":"The field defines the details of the category node."},"created_date":{"description":"Timestamp indicating when the record was created.","format":"date-time","type":"string"},"description":{"description":"Detailed explanation or information about this field.","maxLength":1000,"type":"string"},"id":{"description":"Unique identifier for the record.","type":"integer"},"keywords":{"description":"The field defines the keywords used for SEO purposes.","nullable":true,"type":"string"},"localized_attributes":{"description":"The field defines the category node that has been translated into other languages."},"localized_attributes_kwargs":{"description":"The field defines the details of the translations for the category node attributes."},"modified_date":{"description":"This field defines the last updated date.","format":"date-time","type":"string"},"title":{"description":"The field defines the title used for SEO purposes.","maxLength":512,"type":"string"},"url":{"description":"This field defines the URL that the client accessed during the event.","maxLength":512,"type":"string"}},"type":"object"}}},"paths":{"/cms/seo/":{"get":{"description":"This method returns details about a specific SEO entry, including its ID, creation and modification timestamps, URL, title, description, and keywords. It also includes any associated attributes, such as CSS class, along with localized attributes if available.","operationId":"cms_seo_list","parameters":[{"description":"Query parameter `attributes` used to filter results based on specific conditions.","in":"query","name":"attributes","schema":{}},{"description":"Query parameter `attributes_kwargs` used to filter results based on specific conditions.","in":"query","name":"attributes_kwargs","schema":{}},{"description":"Query parameter `created_date` used to filter results based on specific conditions.","in":"query","name":"created_date","schema":{"format":"date-time","type":"string"}},{"description":"Query parameter `description` used to filter results based on specific conditions.","in":"query","name":"description","schema":{"type":"string"}},{"description":"Query parameter `id` used to filter results based on specific conditions.","in":"query","name":"id","schema":{"type":"integer"}},{"description":"Filters records where `id` is greater than the given value.","in":"query","name":"id__gt","schema":{"type":"integer"}},{"description":"Filters records where `id` is greater than or equal to the given value.","in":"query","name":"id__gte","schema":{"type":"integer"}},{"description":"Filters records where `id` is less than the given value.","in":"query","name":"id__lt","schema":{"type":"integer"}},{"description":"Filters records where `id` is less than or equal to the given value.","in":"query","name":"id__lte","schema":{"type":"integer"}},{"description":"Query parameter `keywords` used to filter results based on specific conditions.","in":"query","name":"keywords","schema":{"type":"string"}},{"description":"Limits the number of results returned in the response.","in":"query","name":"limit","required":false,"schema":{"type":"integer"}},{"description":"Query parameter `localized_attributes` used to filter results based on specific conditions.","in":"query","name":"localized_attributes","schema":{}},{"description":"Query parameter `localized_attributes_kwargs` used to filter results based on specific conditions.","in":"query","name":"localized_attributes_kwargs","schema":{}},{"description":"Query parameter `modified_date` used to filter results based on specific conditions.","in":"query","name":"modified_date","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is greater than the given value.","in":"query","name":"modified_date__gt","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is greater than or equal to the given value.","in":"query","name":"modified_date__gte","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is less than the given value.","in":"query","name":"modified_date__lt","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is less than or equal to the given value.","in":"query","name":"modified_date__lte","schema":{"format":"date-time","type":"string"}},{"description":"Query parameter `page` used to filter results based on specific conditions.","in":"query","name":"page","required":false,"schema":{"type":"integer"}},{"description":"Query parameter `sort` used to filter results based on specific conditions.","in":"query","name":"sort","required":false,"schema":{"type":"string"}},{"description":"Query parameter `title` used to filter results based on specific conditions.","in":"query","name":"title","schema":{"type":"string"}},{"description":"Query parameter `url` used to filter results based on specific conditions.","in":"query","name":"url","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedSeoList"}}},"description":"Successful response for status code 200."}},"tags":["cms"]}}}}
```

## GET /cms/seo/{id}/

> This method returns details about a specific SEO entry, including its ID, creation and modification timestamps, URL, title, description, and keywords. It also includes any associated attributes, such as CSS class, along with localized attributes if available. This endpoint retrieves a specific record by its unique identifier.

```json
{"openapi":"3.0.3","info":{"title":"Data Warehouse","version":"1.0.0"},"servers":[{"description":"Server base URL with dynamic channel_id.","url":"https://{omnitron_url}/api/v1/remote/{channel_id}/data-warehouse","variables":{"channel_id":{"default":"1","description":"Unique identifier for the sales channel."},"omnitron_url":{"default":"sandbox.akinon.com"}}},{"description":"Server base URL with Commerce URL.","url":"https://{commerce_url}/api/v1/data-warehouse","variables":{"commerce_url":{"default":"sandbox.commerce.akinon.com"}}}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"description":"Token-based authentication with required prefix \"Token\"","in":"header","name":"Authorization","type":"apiKey"}},"schemas":{"Seo":{"properties":{"attributes":{"description":"The field defines the attributes of the category node."},"attributes_kwargs":{"description":"The field defines the details of the category node."},"created_date":{"description":"Timestamp indicating when the record was created.","format":"date-time","type":"string"},"description":{"description":"Detailed explanation or information about this field.","maxLength":1000,"type":"string"},"id":{"description":"Unique identifier for the record.","type":"integer"},"keywords":{"description":"The field defines the keywords used for SEO purposes.","nullable":true,"type":"string"},"localized_attributes":{"description":"The field defines the category node that has been translated into other languages."},"localized_attributes_kwargs":{"description":"The field defines the details of the translations for the category node attributes."},"modified_date":{"description":"This field defines the last updated date.","format":"date-time","type":"string"},"title":{"description":"The field defines the title used for SEO purposes.","maxLength":512,"type":"string"},"url":{"description":"This field defines the URL that the client accessed during the event.","maxLength":512,"type":"string"}},"type":"object"}}},"paths":{"/cms/seo/{id}/":{"get":{"description":"This method returns details about a specific SEO entry, including its ID, creation and modification timestamps, URL, title, description, and keywords. It also includes any associated attributes, such as CSS class, along with localized attributes if available. This endpoint retrieves a specific record by its unique identifier.","operationId":"cms_seo_retrieve","parameters":[{"description":"A unique integer value identifying this seo.","in":"path","name":"id","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Seo"}}},"description":"Successful response for status code 200."},"404":{"content":{"application/json":{}},"description":"Object not found."}},"tags":["cms"]}}}}
```

## GET /cms/special-page-pretty-urls/

> This method returns details about a specific special page’s pretty URL, including its ID, creation and modification timestamps, associated special page ID, URL, and the language in which it is defined.

```json
{"openapi":"3.0.3","info":{"title":"Data Warehouse","version":"1.0.0"},"servers":[{"description":"Server base URL with dynamic channel_id.","url":"https://{omnitron_url}/api/v1/remote/{channel_id}/data-warehouse","variables":{"channel_id":{"default":"1","description":"Unique identifier for the sales channel."},"omnitron_url":{"default":"sandbox.akinon.com"}}},{"description":"Server base URL with Commerce URL.","url":"https://{commerce_url}/api/v1/data-warehouse","variables":{"commerce_url":{"default":"sandbox.commerce.akinon.com"}}}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"description":"Token-based authentication with required prefix \"Token\"","in":"header","name":"Authorization","type":"apiKey"}},"schemas":{"PaginatedSpecialPagePrettyUrlList":{"properties":{"count":{"description":"Numerical value representing quantity or total amount.","type":"integer"},"next":{"description":"This field defines the URL of the next page.","format":"uri","nullable":true,"type":"string"},"previous":{"description":"This field defines the URL of the previous page.","format":"uri","nullable":true,"type":"string"},"results":{"description":"This field returns a list of results.","items":{"$ref":"#/components/schemas/SpecialPagePrettyUrl"},"type":"array"}},"type":"object"},"SpecialPagePrettyUrl":{"properties":{"created_date":{"description":"Timestamp indicating when the record was created.","format":"date-time","type":"string"},"id":{"description":"Unique identifier for the record.","type":"integer"},"language":{"default":"tr-tr","description":"The field defines the language code.","maxLength":10,"type":"string"},"modified_date":{"description":"This field defines the last updated date.","format":"date-time","type":"string"},"special_page":{"description":"The field defines the ID of the special page that it is associated with.","type":"integer"},"url":{"description":"This field defines the URL that the client accessed during the event.","maxLength":512,"type":"string"}},"type":"object"}}},"paths":{"/cms/special-page-pretty-urls/":{"get":{"description":"This method returns details about a specific special page’s pretty URL, including its ID, creation and modification timestamps, associated special page ID, URL, and the language in which it is defined.","operationId":"cms_special_page_pretty_urls_list","parameters":[{"description":"Query parameter `created_date` used to filter results based on specific conditions.","in":"query","name":"created_date","schema":{"format":"date-time","type":"string"}},{"description":"Query parameter `id` used to filter results based on specific conditions.","in":"query","name":"id","schema":{"type":"integer"}},{"description":"Filters records where `id` is greater than the given value.","in":"query","name":"id__gt","schema":{"type":"integer"}},{"description":"Filters records where `id` is greater than or equal to the given value.","in":"query","name":"id__gte","schema":{"type":"integer"}},{"description":"Filters records where `id` is less than the given value.","in":"query","name":"id__lt","schema":{"type":"integer"}},{"description":"Filters records where `id` is less than or equal to the given value.","in":"query","name":"id__lte","schema":{"type":"integer"}},{"description":"Query parameter `language` used to filter results based on specific conditions.","in":"query","name":"language","schema":{"type":"string"}},{"description":"Limits the number of results returned in the response.","in":"query","name":"limit","required":false,"schema":{"type":"integer"}},{"description":"Query parameter `modified_date` used to filter results based on specific conditions.","in":"query","name":"modified_date","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is greater than the given value.","in":"query","name":"modified_date__gt","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is greater than or equal to the given value.","in":"query","name":"modified_date__gte","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is less than the given value.","in":"query","name":"modified_date__lt","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is less than or equal to the given value.","in":"query","name":"modified_date__lte","schema":{"format":"date-time","type":"string"}},{"description":"Query parameter `page` used to filter results based on specific conditions.","in":"query","name":"page","required":false,"schema":{"type":"integer"}},{"description":"Query parameter `sort` used to filter results based on specific conditions.","in":"query","name":"sort","required":false,"schema":{"type":"string"}},{"description":"Query parameter `special_page` used to filter results based on specific conditions.","in":"query","name":"special_page","schema":{"type":"integer"}},{"description":"Query parameter `url` used to filter results based on specific conditions.","in":"query","name":"url","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedSpecialPagePrettyUrlList"}}},"description":"Successful response for status code 200."}},"tags":["cms"]}}}}
```

## GET /cms/special-page-pretty-urls/{id}/

> This method returns details about a specific special page’s pretty URL, including its ID, creation and modification timestamps, associated special page ID, URL, and the language in which it is defined. This endpoint retrieves a specific record by its unique identifier.

```json
{"openapi":"3.0.3","info":{"title":"Data Warehouse","version":"1.0.0"},"servers":[{"description":"Server base URL with dynamic channel_id.","url":"https://{omnitron_url}/api/v1/remote/{channel_id}/data-warehouse","variables":{"channel_id":{"default":"1","description":"Unique identifier for the sales channel."},"omnitron_url":{"default":"sandbox.akinon.com"}}},{"description":"Server base URL with Commerce URL.","url":"https://{commerce_url}/api/v1/data-warehouse","variables":{"commerce_url":{"default":"sandbox.commerce.akinon.com"}}}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"description":"Token-based authentication with required prefix \"Token\"","in":"header","name":"Authorization","type":"apiKey"}},"schemas":{"SpecialPagePrettyUrl":{"properties":{"created_date":{"description":"Timestamp indicating when the record was created.","format":"date-time","type":"string"},"id":{"description":"Unique identifier for the record.","type":"integer"},"language":{"default":"tr-tr","description":"The field defines the language code.","maxLength":10,"type":"string"},"modified_date":{"description":"This field defines the last updated date.","format":"date-time","type":"string"},"special_page":{"description":"The field defines the ID of the special page that it is associated with.","type":"integer"},"url":{"description":"This field defines the URL that the client accessed during the event.","maxLength":512,"type":"string"}},"type":"object"}}},"paths":{"/cms/special-page-pretty-urls/{id}/":{"get":{"description":"This method returns details about a specific special page’s pretty URL, including its ID, creation and modification timestamps, associated special page ID, URL, and the language in which it is defined. This endpoint retrieves a specific record by its unique identifier.","operationId":"cms_special_page_pretty_urls_retrieve","parameters":[{"description":"A unique integer value identifying this special page pretty url.","in":"path","name":"id","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SpecialPagePrettyUrl"}}},"description":"Successful response for status code 200."},"404":{"content":{"application/json":{}},"description":"Object not found."}},"tags":["cms"]}}}}
```

## GET /cms/special-pages/

> This method returns details about a specific special page, including its ID, name, URL, template, and extraction strategy. It also includes information on banners, video embedded code, associated product collection, and pretty URL. The response may also include the page’s active status, creation and modification timestamps, and any localized or additional attributes.

```json
{"openapi":"3.0.3","info":{"title":"Data Warehouse","version":"1.0.0"},"servers":[{"description":"Server base URL with dynamic channel_id.","url":"https://{omnitron_url}/api/v1/remote/{channel_id}/data-warehouse","variables":{"channel_id":{"default":"1","description":"Unique identifier for the sales channel."},"omnitron_url":{"default":"sandbox.akinon.com"}}},{"description":"Server base URL with Commerce URL.","url":"https://{commerce_url}/api/v1/data-warehouse","variables":{"commerce_url":{"default":"sandbox.commerce.akinon.com"}}}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"description":"Token-based authentication with required prefix \"Token\"","in":"header","name":"Authorization","type":"apiKey"}},"schemas":{"PaginatedSpecialPageList":{"properties":{"count":{"description":"Numerical value representing quantity or total amount.","type":"integer"},"next":{"description":"This field defines the URL of the next page.","format":"uri","nullable":true,"type":"string"},"previous":{"description":"This field defines the URL of the previous page.","format":"uri","nullable":true,"type":"string"},"results":{"description":"This field returns a list of results.","items":{"$ref":"#/components/schemas/SpecialPage"},"type":"array"}},"type":"object"},"SpecialPage":{"properties":{"attributes":{"description":"The field defines the attributes of the category node."},"attributes_kwargs":{"description":"The field defines the details of the category node."},"banner":{"description":"The field defines the URL of the banner image.","format":"uri","nullable":true,"type":"string"},"banner_description":{"description":"Detailed explanation or information about this field.","nullable":true,"type":"string"},"banner_mobile":{"description":"The field defines the URL of the mobile banner image.","format":"uri","nullable":true,"type":"string"},"banner_url":{"description":"The field defines the URL of the page banner.","maxLength":512,"nullable":true,"type":"string"},"created_date":{"description":"Timestamp indicating when the record was created.","format":"date-time","type":"string"},"extraction_strategy":{"$ref":"#/components/schemas/ExtractionStrategyEnum","description":"The field defines the strategy selected for displaying products on the page."},"id":{"description":"Unique identifier for the record.","type":"integer"},"is_active":{"description":"Boolean flag indicating whether the condition is met.","type":"boolean"},"localized_attributes":{"description":"The field defines the category node that has been translated into other languages."},"localized_attributes_kwargs":{"description":"The field defines the details of the translations for the category node attributes."},"modified_date":{"description":"This field defines the last updated date.","format":"date-time","type":"string"},"name":{"description":"The full name or label associated with the record.","maxLength":64,"type":"string"},"pretty_url":{"description":"The field defines the pretty URL of the category.","nullable":true,"type":"integer"},"product_collection":{"description":"The field defines the collection that will be displayed on the page.","type":"integer"},"template":{"description":"The field defines the template used for the landing page.","maxLength":512,"nullable":true,"type":"string"},"url":{"description":"This field defines the URL that the client accessed during the event.","maxLength":512,"type":"string"},"video_embedded_code":{"description":"The field defines the embedded video code added to the special page.","maxLength":512,"nullable":true,"type":"string"}},"type":"object"},"ExtractionStrategyEnum":{"description":"* `omnishop.search.strategies.DefaultProductExtractionStrategy` - Default\n* `omnishop.search.strategies.FirstItemSearchExtractionStrategy` - First Item\n* `omnishop.search.strategies.ListableFirstProductExtractionStrategy` - Listable First\n* `omnishop.search.strategies.MinPriceFirstProductExtractionStrategy` - Min Price First\n* `omnishop.search.strategies.MaxPriceFirstProductExtractionStrategy` - Max Price First\n* `omnishop.search.strategies.AllSubProductsExtractionStrategy` - All Sub Products","enum":["omnishop.search.strategies.DefaultProductExtractionStrategy","omnishop.search.strategies.FirstItemSearchExtractionStrategy","omnishop.search.strategies.ListableFirstProductExtractionStrategy","omnishop.search.strategies.MinPriceFirstProductExtractionStrategy","omnishop.search.strategies.MaxPriceFirstProductExtractionStrategy","omnishop.search.strategies.AllSubProductsExtractionStrategy"],"type":"string"}}},"paths":{"/cms/special-pages/":{"get":{"description":"This method returns details about a specific special page, including its ID, name, URL, template, and extraction strategy. It also includes information on banners, video embedded code, associated product collection, and pretty URL. The response may also include the page’s active status, creation and modification timestamps, and any localized or additional attributes.","operationId":"cms_special_pages_list","parameters":[{"description":"Query parameter `attributes` used to filter results based on specific conditions.","in":"query","name":"attributes","schema":{}},{"description":"Query parameter `attributes_kwargs` used to filter results based on specific conditions.","in":"query","name":"attributes_kwargs","schema":{}},{"description":"Query parameter `banner_description` used to filter results based on specific conditions.","in":"query","name":"banner_description","schema":{"type":"string"}},{"description":"Query parameter `banner_url` used to filter results based on specific conditions.","in":"query","name":"banner_url","schema":{"type":"string"}},{"description":"Query parameter `created_date` used to filter results based on specific conditions.","in":"query","name":"created_date","schema":{"format":"date-time","type":"string"}},{"description":"Query parameter `extraction_strategy` used to filter results based on specific conditions.","in":"query","name":"extraction_strategy","schema":{"type":"string"}},{"description":"Query parameter `id` used to filter results based on specific conditions.","in":"query","name":"id","schema":{"type":"integer"}},{"description":"Filters records where `id` is greater than the given value.","in":"query","name":"id__gt","schema":{"type":"integer"}},{"description":"Filters records where `id` is greater than or equal to the given value.","in":"query","name":"id__gte","schema":{"type":"integer"}},{"description":"Filters records where `id` is less than the given value.","in":"query","name":"id__lt","schema":{"type":"integer"}},{"description":"Filters records where `id` is less than or equal to the given value.","in":"query","name":"id__lte","schema":{"type":"integer"}},{"description":"Query parameter `is_active` used to filter results based on specific conditions.","in":"query","name":"is_active","schema":{"type":"boolean"}},{"description":"Limits the number of results returned in the response.","in":"query","name":"limit","required":false,"schema":{"type":"integer"}},{"description":"Query parameter `localized_attributes` used to filter results based on specific conditions.","in":"query","name":"localized_attributes","schema":{}},{"description":"Query parameter `localized_attributes_kwargs` used to filter results based on specific conditions.","in":"query","name":"localized_attributes_kwargs","schema":{}},{"description":"Query parameter `modified_date` used to filter results based on specific conditions.","in":"query","name":"modified_date","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is greater than the given value.","in":"query","name":"modified_date__gt","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is greater than or equal to the given value.","in":"query","name":"modified_date__gte","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is less than the given value.","in":"query","name":"modified_date__lt","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is less than or equal to the given value.","in":"query","name":"modified_date__lte","schema":{"format":"date-time","type":"string"}},{"description":"Query parameter `name` used to filter results based on specific conditions.","in":"query","name":"name","schema":{"type":"string"}},{"description":"Query parameter `page` used to filter results based on specific conditions.","in":"query","name":"page","required":false,"schema":{"type":"integer"}},{"description":"Query parameter `pretty_url` used to filter results based on specific conditions.","in":"query","name":"pretty_url","schema":{"type":"integer"}},{"description":"Query parameter `product_collection` used to filter results based on specific conditions.","in":"query","name":"product_collection","schema":{"type":"integer"}},{"description":"Query parameter `sort` used to filter results based on specific conditions.","in":"query","name":"sort","required":false,"schema":{"type":"string"}},{"description":"Query parameter `template` used to filter results based on specific conditions.","in":"query","name":"template","schema":{"type":"string"}},{"description":"Query parameter `url` used to filter results based on specific conditions.","in":"query","name":"url","schema":{"type":"string"}},{"description":"Query parameter `video_embedded_code` used to filter results based on specific conditions.","in":"query","name":"video_embedded_code","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedSpecialPageList"}}},"description":"Successful response for status code 200."}},"tags":["cms"]}}}}
```

## GET /cms/special-pages/{id}/

> This method returns details about a specific special page, including its ID, name, URL, template, and extraction strategy. It also includes information on banners, video embedded code, associated product collection, and pretty URL. The response may also include the page’s active status, creation and modification timestamps, and any localized or additional attributes. This endpoint retrieves a specific record by its unique identifier.

```json
{"openapi":"3.0.3","info":{"title":"Data Warehouse","version":"1.0.0"},"servers":[{"description":"Server base URL with dynamic channel_id.","url":"https://{omnitron_url}/api/v1/remote/{channel_id}/data-warehouse","variables":{"channel_id":{"default":"1","description":"Unique identifier for the sales channel."},"omnitron_url":{"default":"sandbox.akinon.com"}}},{"description":"Server base URL with Commerce URL.","url":"https://{commerce_url}/api/v1/data-warehouse","variables":{"commerce_url":{"default":"sandbox.commerce.akinon.com"}}}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"description":"Token-based authentication with required prefix \"Token\"","in":"header","name":"Authorization","type":"apiKey"}},"schemas":{"SpecialPage":{"properties":{"attributes":{"description":"The field defines the attributes of the category node."},"attributes_kwargs":{"description":"The field defines the details of the category node."},"banner":{"description":"The field defines the URL of the banner image.","format":"uri","nullable":true,"type":"string"},"banner_description":{"description":"Detailed explanation or information about this field.","nullable":true,"type":"string"},"banner_mobile":{"description":"The field defines the URL of the mobile banner image.","format":"uri","nullable":true,"type":"string"},"banner_url":{"description":"The field defines the URL of the page banner.","maxLength":512,"nullable":true,"type":"string"},"created_date":{"description":"Timestamp indicating when the record was created.","format":"date-time","type":"string"},"extraction_strategy":{"$ref":"#/components/schemas/ExtractionStrategyEnum","description":"The field defines the strategy selected for displaying products on the page."},"id":{"description":"Unique identifier for the record.","type":"integer"},"is_active":{"description":"Boolean flag indicating whether the condition is met.","type":"boolean"},"localized_attributes":{"description":"The field defines the category node that has been translated into other languages."},"localized_attributes_kwargs":{"description":"The field defines the details of the translations for the category node attributes."},"modified_date":{"description":"This field defines the last updated date.","format":"date-time","type":"string"},"name":{"description":"The full name or label associated with the record.","maxLength":64,"type":"string"},"pretty_url":{"description":"The field defines the pretty URL of the category.","nullable":true,"type":"integer"},"product_collection":{"description":"The field defines the collection that will be displayed on the page.","type":"integer"},"template":{"description":"The field defines the template used for the landing page.","maxLength":512,"nullable":true,"type":"string"},"url":{"description":"This field defines the URL that the client accessed during the event.","maxLength":512,"type":"string"},"video_embedded_code":{"description":"The field defines the embedded video code added to the special page.","maxLength":512,"nullable":true,"type":"string"}},"type":"object"},"ExtractionStrategyEnum":{"description":"* `omnishop.search.strategies.DefaultProductExtractionStrategy` - Default\n* `omnishop.search.strategies.FirstItemSearchExtractionStrategy` - First Item\n* `omnishop.search.strategies.ListableFirstProductExtractionStrategy` - Listable First\n* `omnishop.search.strategies.MinPriceFirstProductExtractionStrategy` - Min Price First\n* `omnishop.search.strategies.MaxPriceFirstProductExtractionStrategy` - Max Price First\n* `omnishop.search.strategies.AllSubProductsExtractionStrategy` - All Sub Products","enum":["omnishop.search.strategies.DefaultProductExtractionStrategy","omnishop.search.strategies.FirstItemSearchExtractionStrategy","omnishop.search.strategies.ListableFirstProductExtractionStrategy","omnishop.search.strategies.MinPriceFirstProductExtractionStrategy","omnishop.search.strategies.MaxPriceFirstProductExtractionStrategy","omnishop.search.strategies.AllSubProductsExtractionStrategy"],"type":"string"}}},"paths":{"/cms/special-pages/{id}/":{"get":{"description":"This method returns details about a specific special page, including its ID, name, URL, template, and extraction strategy. It also includes information on banners, video embedded code, associated product collection, and pretty URL. The response may also include the page’s active status, creation and modification timestamps, and any localized or additional attributes. This endpoint retrieves a specific record by its unique identifier.","operationId":"cms_special_pages_retrieve","parameters":[{"description":"A unique integer value identifying this special page.","in":"path","name":"id","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SpecialPage"}}},"description":"Successful response for status code 200."},"404":{"content":{"application/json":{}},"description":"Object not found."}},"tags":["cms"]}}}}
```

## GET /cms/widget-types/

> This method returns details about a specific widget type, including its ID, name, and schema. The schema contains information about the widget’s attributes, such as the title, its localizability, required status, data type, and label

```json
{"openapi":"3.0.3","info":{"title":"Data Warehouse","version":"1.0.0"},"servers":[{"description":"Server base URL with dynamic channel_id.","url":"https://{omnitron_url}/api/v1/remote/{channel_id}/data-warehouse","variables":{"channel_id":{"default":"1","description":"Unique identifier for the sales channel."},"omnitron_url":{"default":"sandbox.akinon.com"}}},{"description":"Server base URL with Commerce URL.","url":"https://{commerce_url}/api/v1/data-warehouse","variables":{"commerce_url":{"default":"sandbox.commerce.akinon.com"}}}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"description":"Token-based authentication with required prefix \"Token\"","in":"header","name":"Authorization","type":"apiKey"}},"schemas":{"PaginatedWidgetTypeList":{"properties":{"count":{"description":"Numerical value representing quantity or total amount.","type":"integer"},"next":{"description":"This field defines the URL of the next page.","format":"uri","nullable":true,"type":"string"},"previous":{"description":"This field defines the URL of the previous page.","format":"uri","nullable":true,"type":"string"},"results":{"description":"This field returns a list of results.","items":{"$ref":"#/components/schemas/WidgetType"},"type":"array"}},"type":"object"},"WidgetType":{"properties":{"id":{"description":"Unique identifier for the record.","type":"integer"},"name":{"description":"The full name or label associated with the record.","maxLength":255,"type":"string"},"schema":{"description":"The field defines the structure and rules for the landing page."}},"type":"object"}}},"paths":{"/cms/widget-types/":{"get":{"description":"This method returns details about a specific widget type, including its ID, name, and schema. The schema contains information about the widget’s attributes, such as the title, its localizability, required status, data type, and label","operationId":"cms_widget_types_list","parameters":[{"description":"Query parameter `id` used to filter results based on specific conditions.","in":"query","name":"id","schema":{"type":"integer"}},{"description":"Filters records where `id` is greater than the given value.","in":"query","name":"id__gt","schema":{"type":"integer"}},{"description":"Filters records where `id` is greater than or equal to the given value.","in":"query","name":"id__gte","schema":{"type":"integer"}},{"description":"Filters records where `id` is less than the given value.","in":"query","name":"id__lt","schema":{"type":"integer"}},{"description":"Filters records where `id` is less than or equal to the given value.","in":"query","name":"id__lte","schema":{"type":"integer"}},{"description":"Limits the number of results returned in the response.","in":"query","name":"limit","required":false,"schema":{"type":"integer"}},{"description":"Query parameter `name` used to filter results based on specific conditions.","in":"query","name":"name","schema":{"type":"string"}},{"description":"Query parameter `page` used to filter results based on specific conditions.","in":"query","name":"page","required":false,"schema":{"type":"integer"}},{"description":"Query parameter `schema` used to filter results based on specific conditions.","in":"query","name":"schema","schema":{}},{"description":"Query parameter `sort` used to filter results based on specific conditions.","in":"query","name":"sort","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedWidgetTypeList"}}},"description":"Successful response for status code 200."}},"tags":["cms"]}}}}
```

## GET /cms/widget-types/{id}/

> This method returns details about a specific widget type, including its ID, name, and schema. The schema contains information about the widget’s attributes, such as the title, its localizability, required status, data type, and label This endpoint retrieves a specific record by its unique identifier.

```json
{"openapi":"3.0.3","info":{"title":"Data Warehouse","version":"1.0.0"},"servers":[{"description":"Server base URL with dynamic channel_id.","url":"https://{omnitron_url}/api/v1/remote/{channel_id}/data-warehouse","variables":{"channel_id":{"default":"1","description":"Unique identifier for the sales channel."},"omnitron_url":{"default":"sandbox.akinon.com"}}},{"description":"Server base URL with Commerce URL.","url":"https://{commerce_url}/api/v1/data-warehouse","variables":{"commerce_url":{"default":"sandbox.commerce.akinon.com"}}}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"description":"Token-based authentication with required prefix \"Token\"","in":"header","name":"Authorization","type":"apiKey"}},"schemas":{"WidgetType":{"properties":{"id":{"description":"Unique identifier for the record.","type":"integer"},"name":{"description":"The full name or label associated with the record.","maxLength":255,"type":"string"},"schema":{"description":"The field defines the structure and rules for the landing page."}},"type":"object"}}},"paths":{"/cms/widget-types/{id}/":{"get":{"description":"This method returns details about a specific widget type, including its ID, name, and schema. The schema contains information about the widget’s attributes, such as the title, its localizability, required status, data type, and label This endpoint retrieves a specific record by its unique identifier.","operationId":"cms_widget_types_retrieve","parameters":[{"description":"A unique integer value identifying this widget type.","in":"path","name":"id","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WidgetType"}}},"description":"Successful response for status code 200."},"404":{"content":{"application/json":{}},"description":"Object not found."}},"tags":["cms"]}}}}
```

## GET /cms/widgets/

> This method returns details about a specific widget, including its ID, name, slug, template, creation and modification timestamps, and content type. It also includes information about the associated widget type and any attributes, both localized and non-localized.

```json
{"openapi":"3.0.3","info":{"title":"Data Warehouse","version":"1.0.0"},"servers":[{"description":"Server base URL with dynamic channel_id.","url":"https://{omnitron_url}/api/v1/remote/{channel_id}/data-warehouse","variables":{"channel_id":{"default":"1","description":"Unique identifier for the sales channel."},"omnitron_url":{"default":"sandbox.akinon.com"}}},{"description":"Server base URL with Commerce URL.","url":"https://{commerce_url}/api/v1/data-warehouse","variables":{"commerce_url":{"default":"sandbox.commerce.akinon.com"}}}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"description":"Token-based authentication with required prefix \"Token\"","in":"header","name":"Authorization","type":"apiKey"}},"schemas":{"PaginatedWidgetList":{"properties":{"count":{"description":"Numerical value representing quantity or total amount.","type":"integer"},"next":{"description":"This field defines the URL of the next page.","format":"uri","nullable":true,"type":"string"},"previous":{"description":"This field defines the URL of the previous page.","format":"uri","nullable":true,"type":"string"},"results":{"description":"This field returns a list of results.","items":{"$ref":"#/components/schemas/Widget"},"type":"array"}},"type":"object"},"Widget":{"properties":{"attributes":{"description":"The field defines the attributes of the category node."},"attributes_kwargs":{"description":"The field defines the details of the category node."},"content_type":{"description":"The classification or type related to this field.","type":"integer"},"created_date":{"description":"Timestamp indicating when the record was created.","format":"date-time","type":"string"},"id":{"description":"Unique identifier for the record.","type":"integer"},"localized_attributes":{"description":"The field defines the category node that has been translated into other languages."},"localized_attributes_kwargs":{"description":"The field defines the details of the translations for the category node attributes."},"modified_date":{"description":"This field defines the last updated date.","format":"date-time","type":"string"},"name":{"description":"The full name or label associated with the record.","maxLength":255,"type":"string"},"slug":{"description":"The field defines the slug of the shipping option.","maxLength":255,"pattern":"^[-a-zA-Z0-9_]+$","type":"string"},"template":{"description":"The field defines the template used for the landing page.","maxLength":512,"type":"string"},"widget_type":{"description":"The classification or type related to this field.","type":"integer"}},"type":"object"}}},"paths":{"/cms/widgets/":{"get":{"description":"This method returns details about a specific widget, including its ID, name, slug, template, creation and modification timestamps, and content type. It also includes information about the associated widget type and any attributes, both localized and non-localized.","operationId":"cms_widgets_list","parameters":[{"description":"Query parameter `attributes` used to filter results based on specific conditions.","in":"query","name":"attributes","schema":{}},{"description":"Query parameter `attributes_kwargs` used to filter results based on specific conditions.","in":"query","name":"attributes_kwargs","schema":{}},{"description":"Query parameter `content_type` used to filter results based on specific conditions.","in":"query","name":"content_type","schema":{"type":"integer"}},{"description":"Query parameter `created_date` used to filter results based on specific conditions.","in":"query","name":"created_date","schema":{"format":"date-time","type":"string"}},{"description":"Query parameter `id` used to filter results based on specific conditions.","in":"query","name":"id","schema":{"type":"integer"}},{"description":"Filters records where `id` is greater than the given value.","in":"query","name":"id__gt","schema":{"type":"integer"}},{"description":"Filters records where `id` is greater than or equal to the given value.","in":"query","name":"id__gte","schema":{"type":"integer"}},{"description":"Filters records where `id` is less than the given value.","in":"query","name":"id__lt","schema":{"type":"integer"}},{"description":"Filters records where `id` is less than or equal to the given value.","in":"query","name":"id__lte","schema":{"type":"integer"}},{"description":"Limits the number of results returned in the response.","in":"query","name":"limit","required":false,"schema":{"type":"integer"}},{"description":"Query parameter `localized_attributes` used to filter results based on specific conditions.","in":"query","name":"localized_attributes","schema":{}},{"description":"Query parameter `localized_attributes_kwargs` used to filter results based on specific conditions.","in":"query","name":"localized_attributes_kwargs","schema":{}},{"description":"Query parameter `modified_date` used to filter results based on specific conditions.","in":"query","name":"modified_date","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is greater than the given value.","in":"query","name":"modified_date__gt","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is greater than or equal to the given value.","in":"query","name":"modified_date__gte","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is less than the given value.","in":"query","name":"modified_date__lt","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is less than or equal to the given value.","in":"query","name":"modified_date__lte","schema":{"format":"date-time","type":"string"}},{"description":"Query parameter `name` used to filter results based on specific conditions.","in":"query","name":"name","schema":{"type":"string"}},{"description":"Query parameter `page` used to filter results based on specific conditions.","in":"query","name":"page","required":false,"schema":{"type":"integer"}},{"description":"Query parameter `slug` used to filter results based on specific conditions.","in":"query","name":"slug","schema":{"type":"string"}},{"description":"Query parameter `sort` used to filter results based on specific conditions.","in":"query","name":"sort","required":false,"schema":{"type":"string"}},{"description":"Query parameter `template` used to filter results based on specific conditions.","in":"query","name":"template","schema":{"type":"string"}},{"description":"Query parameter `widget_type` used to filter results based on specific conditions.","in":"query","name":"widget_type","schema":{"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedWidgetList"}}},"description":"Successful response for status code 200."}},"tags":["cms"]}}}}
```

## GET /cms/widgets/{id}/

> This method returns details about a specific widget, including its ID, name, slug, template, creation and modification timestamps, and content type. It also includes information about the associated widget type and any attributes, both localized and non-localized. This endpoint retrieves a specific record by its unique identifier.

```json
{"openapi":"3.0.3","info":{"title":"Data Warehouse","version":"1.0.0"},"servers":[{"description":"Server base URL with dynamic channel_id.","url":"https://{omnitron_url}/api/v1/remote/{channel_id}/data-warehouse","variables":{"channel_id":{"default":"1","description":"Unique identifier for the sales channel."},"omnitron_url":{"default":"sandbox.akinon.com"}}},{"description":"Server base URL with Commerce URL.","url":"https://{commerce_url}/api/v1/data-warehouse","variables":{"commerce_url":{"default":"sandbox.commerce.akinon.com"}}}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"description":"Token-based authentication with required prefix \"Token\"","in":"header","name":"Authorization","type":"apiKey"}},"schemas":{"Widget":{"properties":{"attributes":{"description":"The field defines the attributes of the category node."},"attributes_kwargs":{"description":"The field defines the details of the category node."},"content_type":{"description":"The classification or type related to this field.","type":"integer"},"created_date":{"description":"Timestamp indicating when the record was created.","format":"date-time","type":"string"},"id":{"description":"Unique identifier for the record.","type":"integer"},"localized_attributes":{"description":"The field defines the category node that has been translated into other languages."},"localized_attributes_kwargs":{"description":"The field defines the details of the translations for the category node attributes."},"modified_date":{"description":"This field defines the last updated date.","format":"date-time","type":"string"},"name":{"description":"The full name or label associated with the record.","maxLength":255,"type":"string"},"slug":{"description":"The field defines the slug of the shipping option.","maxLength":255,"pattern":"^[-a-zA-Z0-9_]+$","type":"string"},"template":{"description":"The field defines the template used for the landing page.","maxLength":512,"type":"string"},"widget_type":{"description":"The classification or type related to this field.","type":"integer"}},"type":"object"}}},"paths":{"/cms/widgets/{id}/":{"get":{"description":"This method returns details about a specific widget, including its ID, name, slug, template, creation and modification timestamps, and content type. It also includes information about the associated widget type and any attributes, both localized and non-localized. This endpoint retrieves a specific record by its unique identifier.","operationId":"cms_widgets_retrieve","parameters":[{"description":"A unique integer value identifying this widget.","in":"path","name":"id","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Widget"}}},"description":"Successful response for status code 200."},"404":{"content":{"application/json":{}},"description":"Object not found."}},"tags":["cms"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.akinon.com/commerce-openapis/data-warehouse/cms.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
